Bug 850088 - Introduce new systemd-rpm macros in device-mapper-multipath spec file
Summary: Introduce new systemd-rpm macros in device-mapper-multipath spec file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath
Version: 18
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Marzinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 850016
TreeView+ depends on / blocked
 
Reported: 2012-08-21 13:32 UTC by Lukáš Nykrýn
Modified: 2012-12-20 15:08 UTC (History)
8 users (show)

Fixed In Version: device-mapper-multipath-0.4.9-30
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:08:44 UTC
Type: ---


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.60 KB, patch)
2012-09-05 10:53 UTC, Václav Pavlín
no flags Details | Diff

Description Lukáš Nykrýn 2012-08-21 13:32:55 UTC
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).

Comment 1 Václav Pavlín 2012-09-05 10:53:55 UTC
Created attachment 609984 [details]
Patch replaces scriptlets with new systemd macros

Comment 2 Ben Marzinski 2012-09-13 21:04:51 UTC
patch applied. Thanks.

Comment 3 Fedora Update System 2012-09-13 21:06:33 UTC
device-mapper-multipath-0.4.9-30.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/device-mapper-multipath-0.4.9-30.fc18

Comment 4 Fedora Update System 2012-09-16 17:10:34 UTC
Package device-mapper-multipath-0.4.9-30.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing device-mapper-multipath-0.4.9-30.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13950/device-mapper-multipath-0.4.9-30.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-10-03 03:50:45 UTC
device-mapper-multipath-0.4.9-32.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/device-mapper-multipath-0.4.9-32.fc18

Comment 6 Fedora Update System 2012-12-20 15:08:49 UTC
device-mapper-multipath-0.4.9-30.fc18 has been pushed to the Fedora 18 obsolete repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.